PHP5.3+ 安装 Zend Guard Loader 的方法

PHP5.2.* 版本请安装 Zend Optimizer,如果你是php5.2.*版本请绕道别处
PHP5.3 及以上版本安装 Zend Guide,
Zend Optimizer 和 Zend Guide 用于解密各自加密的文件,
用 Zend Guide 加密的文件 Zend Optimizer 运行不了,Zend Optimizer 加密的文件 Zend Guide 也运行不了。
PHP5.2.* 不能安装  Zend Guide ,PHP5.3.* 也不能安装 Zend Optimizer
本人安装时WDCP版本为:wdcp_v2.5.9(20131108)
PHP为:5.3.27

正文开始:
第一步:下载
执行以下两条命令:
wget http://down.wdlinux.cn/in/ZendGL_ins.sh
sh ZendGL_ins.sh
第二步:配置
/www/wdlinux/apache_php/etc/php.ini

/www/wdlinux/nginx_php/etc/php.ini
这两个文件,将末尾的:

  1. [Zend]
  2. zend_extension_manager.optimizer=/www/wdlinux/Zend/lib/Optimizer-3.3.3
  3. zend_extension_manager.optimizer_ts=/www/wdlinux/Zend/lib/Optimizer_TS-3.3.3
  4. zend_optimizer.version=3.3.3
  5. zend_extension=/www/wdlinux/Zend/lib/ZendExtensionManager.so
  6. zend_extension_ts=/www/wdlinux/Zend/lib/ZendExtensionManager_TS.so

复制代码

换成:

  1. [Zend]
  2. zend_extension = /www/wdlinux/Zend/lib/ZendGuardLoader.so
  3. zend_loader.enable = 1

复制代码

第三步:重启
如果不会重启 nginx 和 apache 的直接重启服务器,重启服务器的命令是:

  1. reboot

复制代码

补充:
本人的第一步操作在 ~ 目录中执行的,理论上后边的几步操作脚本会自动操作,但wget的那个脚本貌似没有自动操作,所以才有的第二步。

avatar

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: